using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Keyless]
[Table("ATSearchDisplayField")]
public partial class AtsearchDisplayField
{
    public Guid ObjectGuid { get; set; }

    public Guid SearchRegistrationGuid { get; set; }

    [StringLength(50)]
    public string FieldName { get; set; } = null!;

    [StringLength(50)]
    public string FieldType { get; set; } = null!;

    public int Attribute { get; set; }

    public int? IsLinkField { get; set; }

    [ForeignKey("SearchRegistrationGuid")]
    public virtual AtsearchRegistration SearchRegistration { get; set; } = null!;
}
